# $Revision: 1.25 $, $Date: 2012/01/14 09:02:46 $
#
# Conditional build:
%bcond_with	gcrypt	# use libgcrypt instead of OpenSSL (ucommon in PLD uses OpenSSL by default)
#
Summary:	Common C++ class framework for RTP packets
Summary(pl.UTF-8):	Szkielet klas C++ dla pakietów RTP
Name:		ccrtp
Version:	2.0.2
Release:	2
License:	GPL v2+ with runtime exception
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/ccrtp/%{name}-%{version}.tar.gz
# Source0-md5:	dd676a6359e549b5a45ed3992e8a7056
Patch0:		%{name}-info.patch
Patch1:		%{name}-openssl.patch
URL:		http://www.gnu.org/software/ccrtp/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	doxygen
%{?with_gcrypt:BuildRequires:	libgcrypt-devel >= 1.2.3}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
%{!?with_gcrypt:BuildRequires:	openssl-devel}
BuildRequires:	pkgconfig
BuildRequires:	ucommon-devel >= 5.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ccRTP is a generic, extensible and efficient C++ framework for
developing applications based on the Real-Time Transport Protocol
(RTP) from the IETF. It is based on Common C++ and provides a full
RTP/RTCP stack for sending and receiving of realtime data by the use
of send and receive packet queues. ccRTP supports unicast,
multi-unicast and multicast, manages multiple sources, handles RTCP
automatically, supports different threading models and is generic as
for underlying network and transport protocols.

%description -l pl.UTF-8
ccRTP jest ogólnym, rozszerzalnym i efektywnym szkieletem C++ do
rozwijania aplikacji bazujących na transporcie czasu rzeczywistego
(RTP) z IETF. Bazuje na Common C++ i udostępnia pełen stos RTP/RTCP do
wysyłania i odbierania danych w czasie rzeczywistym z użyciem kolejek
wysyłania i odbierania pakietów. ccRTP obsługuje unicasty,
multi-unicasty i multicasty, zarządza wieloma źródłami, obsługuje
automatycznie RTCP, wspiera różne modele wątkowania i jest ogólny dla
podstawowych sieci i protokołów transportowych.

%package devel
Summary:	Header files for ccrtp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ccrtp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_gcrypt:Requires:	libgcrypt-devel >= 1.2.3}
Requires:	libstdc++-devel
%{!?with_gcrypt:Requires:	openssl-devel}
Requires:	ucommon-devel >= 5.0.0

%description devel
Header files for ccrtp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ccrtp.

%package static
Summary:	Static ccrtp library
Summary(pl.UTF-8):	Statyczna biblioteka ccrtp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ccrtp library.

%description static -l pl.UTF-8
Statyczna biblioteka ccrtp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
# LIBGCRYPT_CONFIG is a hack to disable libgcrypt and pass to openssl detection
%configure \
	%{!?with_gcrypt:LIBGCRYPT_CONFIG=/nonexisting}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING.addendum ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libccrtp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libccrtp.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/html/*.{css,html,js,png}
%attr(755,root,root) %{_libdir}/libccrtp.so
%{_libdir}/libccrtp.la
%{_includedir}/ccrtp
%{_pkgconfigdir}/libccrtp.pc
%{_infodir}/ccrtp.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libccrtp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ccrtp.spec,v $
Revision 1.25  2012/01/14 09:02:46  arekm
- rel 2; pointing LIBCRYPTO_CONFIG to non-existing entry works; bin/false fails

Revision 1.24  2012/01/03 16:22:30  qboosh
- updated to 2.0.2
- removed obsolete gcc4,lt patches
- added openssl patch to fix build with openssl, use it by default (+gcrypt bcond)
- added info patch to unify direntry
- ccrtp now uses commoncpp from ucommon (5.0.0+) instead of commoncpp2

Revision 1.23  2009/02/27 21:23:28  arekm
- up to 1.7.1

Revision 1.22  2008/12/19 21:18:00  arekm
- up to 1.7.0

Revision 1.21  2008/08/23 11:26:18  qboosh
- unified ftp.gnu.org URL

Revision 1.20  2008/08/23 11:00:55  arekm
- up to 1.6.2

Revision 1.19  2008-01-16 07:27:31  arekm
- rel 2

Revision 1.18  2007-12-31 01:39:45  zbyniu
- up to 1.6.0

Revision 1.17  2007-06-14 18:15:42  arekm
- rel 2

Revision 1.16  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.14  2007/01/13 15:27:30  qboosh
- automake -f already updates config.sub

Revision 1.13  2007/01/04 10:28:13  tommat
- turn on regeneration

Revision 1.12  2007/01/02 11:05:26  arekm
- up to 1.5.1

Revision 1.11  2006/11/10 09:39:00  arekm
- up to 1.5.0

Revision 1.10  2006/04/28 07:37:01  arekm
- enforce new version of commoncpp2-devel in BR

Revision 1.9  2006/04/25 19:39:30  pluto
- gcc4 fix, release 3.1.

Revision 1.8  2006/04/25 16:18:19  arekm
- rebuild

Revision 1.7  2006/04/25 06:28:34  arekm
- rel 2; rebuild

Revision 1.6  2006/04/24 21:52:20  arekm
- up to 1.3.7

Revision 1.5  2005/12/09 22:26:36  undefine
- up to 1.3.6

Revision 1.4  2005/11/22 02:40:36  charles
- updated to 1.3.5

Revision 1.3  2005/09/19 22:18:09  qboosh
- cosmetics, avoid packaging info/dir

Revision 1.2  2005/09/07 21:26:30  undefine
- pl description

Revision 1.1  2005/09/07 14:53:28  undefine
- initial
